%define pypi_name ipykernel

Name:           python-%{pypi_name}
Version:        5.2.1
Release:        %mkrel 1
Group:          Development/Python
Summary:        IPython kernel for Jupyter

License:        BSD
URL:            http://ipython.org/
Source0:        https://pypi.io/packages/source/i/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(ipython)
BuildRequires:  python3dist(jupyter-client)
BuildRequires:  python3dist(traitlets)
BuildRequires:  python3dist(tornado)

%description
This software component provides an IPython kernel, which will hook
itself into Jupyter.

%package -n python3-%{pypi_name}
Summary:        IPython kernel for Jupyter
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:	python-ipykernel < 4.6.1-3

%description -n python3-%{pypi_name}
This software component provides an IPython kernel, which will hook
itself into Jupyter.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/*
%dir %{_datadir}/jupyter/kernels
%dir %{_datadir}/jupyter/kernels/python3
%{_datadir}/jupyter/kernels/python3/kernel.json
%{_datadir}/jupyter/kernels/python3/logo-32x32.png
%{_datadir}/jupyter/kernels/python3/logo-64x64.png


%changelog
* Fri May 01 2020 daviddavid <daviddavid> 5.2.1-1.mga8
+ Revision: 1577410
- new version: 5.2.1

* Tue Mar 31 2020 daviddavid <daviddavid> 5.1.4-1.mga8
+ Revision: 1562596
- new version: 5.1.4

* Tue Feb 18 2020 umeabot <umeabot> 5.1.3-2.mga8
+ Revision: 1541342
- Mageia 8 Mass Rebuild

* Wed Dec 25 2019 daviddavid <daviddavid> 5.1.3-1.mga8
+ Revision: 1469940
- new version: 5.1.3

* Wed Oct 09 2019 daviddavid <daviddavid> 5.1.2-1.mga8
+ Revision: 1450806
- new version: 5.1.2

* Mon Sep 16 2019 daviddavid <daviddavid> 5.1.0-2.mga8
+ Revision: 1442268
- rebuild for python3.8

* Mon Jan 07 2019 wally <wally> 5.1.0-1.mga7
+ Revision: 1351159
- new version 5.1.0
- rename python-ipykernel as python3-ipykernel
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 4.6.1-2.mga7
+ Revision: 1289049
- Mageia 7 Mass Rebuild

* Tue Aug 08 2017 philippem <philippem> 4.6.1-1.mga7
+ Revision: 1139061
- use setuptools to generate requires
- update to 4.6.1, since ipython is py3 only, we provide only py3

* Sat Aug 05 2017 pterjan <pterjan> 4.3.1-2.mga7
+ Revision: 1135459
- Rebuild for python 3.6

* Mon Apr 18 2016 philippem <philippem> 4.3.1-1.mga6
+ Revision: 1003383
- imported package python-ipykernel

